
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
      <script>
import extend from "@/extension/basic/palletCodeInfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "托盘信息",
      name: "palletCodeInfo",
      url: "/PalletCodeInfo/",
      sortName: "id",
    });
    const editFormFields = ref({
      width: "",
      height: "",
      size: "",
    });
    const editFormOptions = ref([
      [
        {
          title: "托盘号",
          field: "palletCode",
          required: true,
        },
      ],
      [
        {
          title: "宽(mm)",
          field: "width",
          required: true,
        },
      ],
      [
        {
          title: "高(mm)",
          field: "height",
          required: true,
        },
      ],
      [
        {
          title: "字体大小",
          field: "size",
          required: true,
        },
      ],
    ]);
    const searchFormFields = ref({
      palletCode: "",
    });
    const searchFormOptions = ref([
      [{ title: "托盘编号", field: "palletCode", type: "like" }],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "code",
        title: "托盘编号",
        type: "decimal",
        width: 200,
        align: "left",
      },
      // {
      //   field: "palletCode",
      //   title: "托盘编号",
      //   type: "decimal",
      //   width: 200,
      //   align: "left",
      // },
      // {
      //   field: "status",
      //   title: "打印状态",
      //   type: "string",
      //   width: 90,
      //   align: "left",
      //   bind: { key: "printStatus", data: [] },
      // },
      {
        field: "width",
        title: "宽",
        type: "int",
        width: 120,
        align: "left",
      },
      {
        field: "height",
        title: "高",
        type: "int",
        width: 120,
        align: "left",
      },
      {
        field: "size",
        title: "字体大小",
        type: "int",
        width: 120,
        align: "left",
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
      {
        field: "modifier",
        title: "最后打印人员",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "最后打印时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
      